1. James Falconer's Avatar
    Here's the shortlist of macs that are High Sierra compatible. Thought it might be useful for those that are unsure!

    • iMac – Late 2009 or later
    • MacBook – Late 2009 or later
    • MacBook Pro – 2010 or later
    • MacBook Air – 2010 or later
    • Mac Mini – 2010 or later
    • Mac Pro – 2010 or later

    If you need to find out if your mac is a compatible model, go to the Apple menu, then 'about this mac'. The overview pane will show you the model.
    fabio984 likes this.
    06-08-2017 10:00 AM
  2. roystreet's Avatar
    Thank you - This list is helpful
    06-14-2017 11:57 AM

Similar Threads

  1. macOS High Sierra Dev Beta 1
    By James Falconer in forum macOS High Sierra
    Replies: 8
    Last Post: 08-08-2017, 12:56 PM
  2. MacOS High Sierra keeps crashing
    By Broodn in forum macOS High Sierra
    Replies: 2
    Last Post: 06-12-2017, 12:10 PM
  3. macOS High Sierra Wallpaper
    By James Falconer in forum macOS High Sierra
    Replies: 3
    Last Post: 06-08-2017, 03:12 PM
  4. How to start using Safari on Mac
    By iMore.com in forum iMore.com News Discussion
    Replies: 0
    Last Post: 06-08-2017, 09:10 AM
  5. How to create your own private messages service with macOS Server!
    By iMore.com in forum iMore.com News Discussion
    Replies: 0
    Last Post: 06-08-2017, 08:10 AM
LINK TO POST COPIED TO CLIPBOARD